load("./data/edl_feeding_crawler_output.RData", verbose = T)
outlet_meta$global_id <- paste0("outlet_", outlet_meta$id)
outlet_meta$global_station_id <- paste0("station_", outlet_meta$station_id)
stations_dt$global_id <- paste0("station_", stations_dt$station_id)

# For the moment, I cannot find a geographical information on the stations and substations, I'll try geocoding and then construct a network

suppressPackageStartupMessages(library(tidygeocoder))

lookup_addresses_stations <- paste0(stations_dt$station_name, " , لبنان")

station_geocodes <- tidygeocoder::geo(address = lookup_addresses_stations, method = 'osm', 
                                      lat = latitude, long = longitude)
lookup_addresses_outlets <- paste0(outlet_meta$text, " , ",stations_dt$station_name, " , لبنان")
outlet_geocodes <- tidygeocoder::geo(address = lookup_addresses_outlets, method = 'osm', 
                                     lat = latitude, long = longitude)


stations_dt$latitude <- station_geocodes$latitude
stations_dt$longitude <- station_geocodes$longitude
outlet_meta$latitude <- outlet_geocodes$latitude
outlet_meta$longitude <- outlet_geocodes$longitude



save(feeding_all, outlet_meta, stations_dt, file = "./data/edl_feeding_crawler_output_postprocessed.RData")
#alternatively, save individual files in csv
write.csv(feeding_all, file = "./data/feeding_all_postprocessed.csv")
write.csv(outlet_meta, file = "./data/outlet_meta_postprocessed.csv")
write.csv(stations_dt, file = "./data/stations_dt_postprocessed.csv")